Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\Guzzle4Driver Class Reference
Inheritance diagram for eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\Guzzle4Driver:

## Public Member Functions
| __construct ()
| Initialize client. More...
| getHeaders ()
| Get all response headers. More...
| getBody ()
| Get response body. More...
| setBody ($body)
| Set request body. More...
| send ()
| Send the request. More...
Public Member Functions inherited from eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver
| setHost ($host)
| Set request host. More...
| setResource ($resource)
| Set request resource url. More...
| setMethod ($method)
| Set request method. More...
| getStatusCode ()
| Get response status code. More...
| getStatusMessage ()
| Get response status message. More...
| setHeader ($header, $value)
| Set request header. More...
Public Member Functions inherited from eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface
| getHeader ($header)
| Get response header. More...
| setHeaders ($headers)
| Set request headers. More...
| setAuthentication ($user, $password, $type=self::AUTH_TYPE_BASIC)
| Set authentication. More...

## Additional Inherited Members
Public Attributes inherited from eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\DriverInterface
const | AUTH_TYPE_BASIC = 'BASIC'
| authentication types. More...
Protected Member Functions inherited from eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver
| getResponse ()
| Get reponse. More...
Protected Attributes inherited from eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver
| $sent = false
| $client
| $request
| $response
| $host
| $resource
| $method
| $headers
| $body

## Detailed Description

Definition at line 13 of file Guzzle4Driver.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\Guzzle4Driver::__construct | ( |  | ) |

Initialize client.

Reimplemented from eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver.

Definition at line 18 of file Guzzle4Driver.php.

## Member Function Documentation

## ◆ getBody()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\Guzzle4Driver::getBody | ( |  | ) |

Get response body.

Returns
  string

Exceptions

Reimplemented from eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver.

Definition at line 47 of file Guzzle4Driver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\getResponse().

## ◆ getHeaders()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\Guzzle4Driver::getHeaders | ( |  | ) |

Get all response headers.

Returns
  array Associative array with $header => $value (value can be an array if it hasn't a single value)

Exceptions

Reimplemented from eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver.

Definition at line 30 of file Guzzle4Driver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\$headers, and eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\getResponse().

## ◆ send()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\Guzzle4Driver::send | ( |  | ) |

Send the request.

Reimplemented from eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver.

Definition at line 67 of file Guzzle4Driver.php.

## ◆ setBody()

eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\Guzzle4Driver::setBody | ( |  | $body | ) |

Set request body.

Parameters

  string | $body |

Reimplemented from eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver.

Definition at line 57 of file Guzzle4Driver.php.

References eZ\Bundle\EzPublishRestBundle\Features\Context\RestClient\GuzzleDriver\$body.

The documentation for this class was generated from the following file:

- Guzzle4Driver.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.